Wan 2.5 Preview Image to Video
curl --request POST \
--url https://api.novita.ai/v3/async/wan-2.5-i2v-preview \
--header 'Authorization: <authorization>' \
--header 'Content-Type: <content-type>' \
--data '
{
"input": {
"prompt": "<string>",
"negative_prompt": "<string>",
"img_url": "<string>",
"audio_url": "<string>"
},
"parameters": {
"resolution": "<string>",
"duration": 123,
"prompt_extend": true,
"audio": true,
"seed": 123
}
}
'import requests
url = "https://api.novita.ai/v3/async/wan-2.5-i2v-preview"
payload = {
"input": {
"prompt": "<string>",
"negative_prompt": "<string>",
"img_url": "<string>",
"audio_url": "<string>"
},
"parameters": {
"resolution": "<string>",
"duration": 123,
"prompt_extend": True,
"audio": True,
"seed": 123
}
}
headers = {
"Content-Type": "<content-type>",
"Authorization": "<authorization>"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': '<content-type>', Authorization: '<authorization>'},
body: JSON.stringify({
input: {
prompt: '<string>',
negative_prompt: '<string>',
img_url: '<string>',
audio_url: '<string>'
},
parameters: {
resolution: '<string>',
duration: 123,
prompt_extend: true,
audio: true,
seed: 123
}
})
};
fetch('https://api.novita.ai/v3/async/wan-2.5-i2v-preview', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"task_id": "<string>"
}Video Generator
Wan 2.5 Preview Image to Video
POST
/
v3
/
async
/
wan-2.5-i2v-preview
Wan 2.5 Preview Image to Video
Wan 2.5 Preview Image-to-Video model supports generating videos of 5 or 10 seconds based on the initial frame image and text. New audio capabilities: supports automatic dubbing, or you can provide a custom audio file.
This is an asynchronous API; only the task_id will be returned. You should use the task_id to request the Task Result API to retrieve the video generation results.
Request Headers
Supports:
application/jsonBearer authentication format, for example: Bearer {{API Key}}.
Request Body
Basic input information, such as prompts.
Hide properties
Hide properties
Text prompt. Supports both English and Chinese, with a maximum length of 2000 characters, and any excess will be automatically truncated.Example value: A small cat running on the grass.
Negative prompt, used to describe content that should be avoided in the video, allowing for restrictions on the video content.Supports both English and Chinese, with a maximum length of 500 characters. Any excess will be automatically truncated.Example value: Low resolution, errors, worst quality, low quality, incomplete, extra fingers, disproportionate, etc.
The URL of the initial frame image used for video generation.The URL must be publicly accessible and support HTTP or HTTPS protocols.Image restrictions:
- Image formats: JPEG, JPG, PNG (no support for transparency), BMP, WEBP.
- Image resolution: The width and height of the image should be within the range of [360, 2000] pixels.
- File size: No more than 10MB.
URL of the audio file that the model will use to generate the video. See audio settings for usage instructions.Audio restrictions:
- Format: wav, mp3.
- Duration: 3-30s.
- File size: No more than 15MB.
Video processing parameters, such as specifying the output video resolution and duration.
Hide properties
Hide properties
The resolution tier of the generated video.
Options:
Options:
480P, 720P, 1080P. Default value: 1080P.Specifies the duration of the generated video. Supported values:
5 or 10 seconds.Default value: 5.Whether to enable intelligent prompt rewriting. When enabled, a large model is used to intelligently rewrite the input prompt. This significantly improves the generation effect for shorter prompts but increases processing time.
true: Default value, enable intelligent rewriting.false: Do not enable intelligent rewriting.
Used to control whether to add audio.Parameter priority: audio_url > audio, only takes effect when audio_url is empty.
true: Default value, automatically add audio to the video.false: Do not add audio, output silent video.
Random seed, used to control the randomness of the model’s generated content. The value range is
[0, 2147483647].If not provided, the algorithm automatically generates a random number as the seed. To maintain relatively stable generated content, you can use the same seed parameter value.Example value: 12345.Response
Use the task_id to request the Task Result API to retrieve the generated outputs.
Last modified on January 14, 2026
Was this page helpful?
⌘I